# SceneModePickerViewModel

#### new Cesium.SceneModePickerViewModel(scene, duration)
Widgets/SceneModePicker/SceneModePickerViewModel.js 18

The view model for `SceneModePicker`.

Name | Type | Default | Description
--- | --- | --- | ---
`scene` | Scene |  | The Scene to morph
`duration` | Number | `2.0` | optional The duration of scene morph animations, in seconds

### Members

#### dropDownVisible : Boolean
Widgets/SceneModePicker/SceneModePickerViewModel.js 50

Gets or sets whether the button drop-down is currently visible. This property is observable.

Default Value: `false`

#### duration : Number
Widgets/SceneModePicker/SceneModePickerViewModel.js 129

Gets or sets the the duration of scene mode transition animations in seconds. A value of zero causes the scene to instantly change modes.

#### morphTo2D : Command
Widgets/SceneModePicker/SceneModePickerViewModel.js 162

Gets the command to morph to 2D.

#### morphTo3D : Command
Widgets/SceneModePicker/SceneModePickerViewModel.js 174

Gets the command to morph to 3D.

#### morphToColumbusView : Command
Widgets/SceneModePicker/SceneModePickerViewModel.js 186

Gets the command to morph to Columbus View.

#### scene : Scene
Widgets/SceneModePicker/SceneModePickerViewModel.js 117

Gets the scene

#### sceneMode : SceneMode
Widgets/SceneModePicker/SceneModePickerViewModel.js 43

Gets or sets the current SceneMode. This property is observable.

#### selectedTooltip : String
Widgets/SceneModePicker/SceneModePickerViewModel.js 79

Gets the currently active tooltip. This property is observable.

#### toggleDropDown : Command
Widgets/SceneModePicker/SceneModePickerViewModel.js 150

Gets the command to toggle the drop down box.

#### tooltip2D : String
Widgets/SceneModePicker/SceneModePickerViewModel.js 57

Gets or sets the 2D tooltip. This property is observable.

Default Value: `'2D'`

#### tooltip3D : String
Widgets/SceneModePicker/SceneModePickerViewModel.js 64

Gets or sets the 3D tooltip. This property is observable.

Default Value: `'3D'`

#### tooltipColumbusView : String
Widgets/SceneModePicker/SceneModePickerViewModel.js 71

Gets or sets the Columbus View tooltip. This property is observable.

Default Value: `'Columbus View'`

### Methods

#### destroy()
Widgets/SceneModePicker/SceneModePickerViewModel.js 203

Destroys the view model.

#### isDestroyed() → Boolean
Widgets/SceneModePicker/SceneModePickerViewModel.js 196

##### Returns:

true if the object has been destroyed, false otherwise.